# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "anvilforge-templates-codegen"
version = "0.3.0"
authors = ["Anvilforge contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Forge → Askama preprocessor: parser, lowering, build.rs integration."
homepage = "https://github.com/anvilforge/anvilforge"
readme = "README.md"
keywords = [
    "template",
    "blade",
    "preprocessor",
    "anvilforge",
    "forge",
]
categories = [
    "template-engine",
    "development-tools::build-utils",
]
license = "MIT"
repository = "https://github.com/anvilforge/anvilforge"

[lib]
name = "forge_codegen"
path = "src/lib.rs"

[dependencies.chumsky]
version = "0.9"

[dependencies.indexmap]
version = "2.6"
features = ["serde"]

[dependencies.regex]
version = "1.11"

[dependencies.thiserror]
version = "1.0"

[dependencies.walkdir]
version = "2.5"
